/* logjam - a GTK client for LiveJournal.
 * Copyright (C) 2000-2003 Evan Martin <evan@livejournal.com>
 *
 * vim: tabstop=4 shiftwidth=4 noexpandtab :
 */

#ifndef __network_throbber_h__
#define __network_throbber_h__

#define NET_THROBBER(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), net_throbber_get_type(), NetThrobber))
typedef struct _NetThrobber NetThrobber;

GType      net_throbber_get_type(void);
GtkWidget* net_throbber_new(void);

void       net_throbber_start(NetThrobber *t);
void       net_throbber_stop (NetThrobber *t);
void       net_throbber_reset(NetThrobber *t);

#endif /* __network_throbber_h__ */

